import { ChangeDetectorRef, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { KeyValue } from '@angular/common';
import { ApiService } from '../../services/api.service';
import { Observable, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
interface INPUT {
    test_type: string;
    test_uuid: string;
    language_id: string | number;
    files: any;
    type: 'RUN' | 'SUBMIT';
    portal: string;
    question: any;
}
export declare class CodeSubmissionComponent implements OnInit {
    private cd;
    private apiService;
    dialogRef: MatDialogRef<CodeSubmissionComponent>;
    data: INPUT;
    testCaseCols: string[];
    subTestCaseCols: string[];
    submission_status_list: {
        UPLOADING: {
            name: string;
            progress: number;
            label: string;
            compLabel: string;
            complete: boolean;
        };
        SAVING: {
            name: string;
            progress: number;
            label: string;
            compLabel: string;
            complete: boolean;
        };
        RUNNING: {
            name: string;
            progress: number;
            label: string;
            compLabel: string;
            complete: boolean;
        };
    };
    progress: number;
    testCaseElement: any;
    subTestCaseElement: any;
    loaded: boolean;
    results: any;
    TESTCASE_STATUS: {
        PASSED: {
            label: string;
            class: string;
        };
        SUCCEEDED: {
            label: string;
            class: string;
        };
        FAILED: {
            label: string;
            class: string;
        };
        True: {
            label: string;
            class: string;
        };
        true: {
            label: string;
            class: string;
        };
        False: {
            label: string;
            class: string;
        };
        false: {
            label: string;
            class: string;
        };
    };
    subs: Subscription;
    constructor(cd: ChangeDetectorRef, apiService: ApiService, dialogRef: MatDialogRef<CodeSubmissionComponent>, data: INPUT);
    ngOnInit(): void;
    originalOrder: (a: KeyValue<any, any>, b: KeyValue<any, any>) => number;
    updateStatus(status: any): void;
    updateError(error: any, status: any): Observable<any>;
    closeDialog(): void;
    saveLiveRun(workspace_url: string): Observable<any>;
    saveSubmission(workspace_url: string): Observable<any>;
    updateRunProgress(results: any): void;
    expandElement(element: any): void;
    expandSubTestCaseElement(element: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeSubmissionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeSubmissionComponent, "lib-code-submission", never, {}, {}, never, never>;
}
export {};
