import { SandpackThemeProp } from "@codesandbox/sandpack-react";
import { FilesOperations, FilesState } from "./hooks/useFiles";
export declare type SandboxFile = {
    code?: string;
    hidden?: boolean;
    readOnly?: boolean;
    readOnlyTooltip?: string;
};
export declare type SandboxFiles = Record<string, SandboxFile>;
export declare type SandboxState = FilesOperations & FilesState;
export declare type SandboxContext = {
    props: SandboxProviderProps;
    sandbox: SandboxState;
    focusedNode: MonacoTreeElement;
    tree: MonacoTreeElement[];
    setFocusedNode: React.Dispatch<React.SetStateAction<MonacoTreeElement>>;
    theme: SandpackThemeProp;
    setTheme: React.Dispatch<React.SetStateAction<SandpackThemeProp>>;
};
export declare type SandboxProviderProps = {
    files: SandboxFiles;
    onFileChanges: (e: SandboxState) => void;
    onRunCode: (files: SandboxFiles) => void;
    onSubmitCode: (files: SandboxFiles) => void;
    onSandboxMount: (e: SandboxState) => void;
    toggleFullscreen: (isFullscreen: boolean) => void;
    showRunBtn?: boolean;
    showSubmitBtn?: boolean;
    theme?: SandpackThemeProp;
    sandboxId: string | number;
    environment?: any;
    hideDependencies?: boolean;
    readOnly?: boolean;
};
export declare type MonacoTreeElement = {
    name: string;
    content?: MonacoTreeElement[];
    path: string;
} & Omit<SandboxFile, 'code'>;
export declare const SandboxTemplates: {
    REACT: {
        name: string;
        dn: string;
        icon: string;
        description: string;
        boilerplateCodeS3Url: string;
        testFilePath: string;
        testFileCode: string;
    };
};
