import { ChangeDetectorRef, EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { MatDialog } from "@angular/material/dialog";
import { SandboxState, SandboxFiles, SandboxProviderProps } from '..';
import SandpackWrapper from '../components';
import * as i0 from "@angular/core";
export declare class SandpackComponent implements OnInit {
    private cd;
    private dialog;
    files: SandboxFiles;
    templateUrl: string;
    sandboxId: string | number;
    portal: string;
    user_type: string;
    test_uuid: string;
    test_type: string;
    language_id: number;
    question: any;
    showRunBtn: boolean;
    showSubmitBtn: boolean;
    environment: string;
    hideDependencies: boolean;
    readOnly: boolean;
    onFileChanges: EventEmitter<SandboxState>;
    onSandboxMount: EventEmitter<SandboxState>;
    afterRunCode: EventEmitter<any>;
    afterSubmitCode: EventEmitter<any>;
    component: typeof SandpackWrapper;
    props: SandboxProviderProps;
    filesSubs: Subscription;
    isFullscreen: boolean;
    constructor(cd: ChangeDetectorRef, dialog: MatDialog);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setup(): void;
    setupSandbox(files: SandboxFiles): void;
    setupFiles(): void;
    cleanUpData(data: SandboxFiles): SandboxFiles;
    executeCode(files: SandboxFiles, type: 'RUN' | 'SUBMIT'): void;
    ngOnDestroy(): void;
    openDialog(data: any): Observable<any>;
    toggleFullscreen(isFullscreen: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SandpackComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SandpackComponent, "cj-sandpack", never, { "files": "files"; "templateUrl": "templateUrl"; "sandboxId": "sandboxId"; "portal": "portal"; "user_type": "user_type"; "test_uuid": "test_uuid"; "test_type": "test_type"; "language_id": "language_id"; "question": "question"; "showRunBtn": "showRunBtn"; "showSubmitBtn": "showSubmitBtn"; "environment": "environment"; "hideDependencies": "hideDependencies"; "readOnly": "readOnly"; }, { "onFileChanges": "onFileChanges"; "onSandboxMount": "onSandboxMount"; "afterRunCode": "afterRunCode"; "afterSubmitCode": "afterSubmitCode"; }, never, never>;
}
